Package com.pixelmed.apps

# Class PixelMessageDigest

java.lang.Object
com.pixelmed.apps.PixelMessageDigest

public class PixelMessageDigest extends Object

A class for computing message digests of pixel data, decompressed if compressed.

## Constructor Summary

Constructors
Constructor
Description
`PixelMessageDigest(String inputfilename)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`computePixelMessageDigestFromFrames(File inputFile)`
`static void`
`main(String[] arg)`
Read an image and compute message digest of pixel data, decompressed if compressed.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PixelMessageDigest

public PixelMessageDigest(String inputfilename) throws DicomException, IOException, NoSuchAlgorithmException

Throws:
  `DicomException`
  `IOException`
  `NoSuchAlgorithmException`

## Method Details

### computePixelMessageDigestFromFrames

public byte[] computePixelMessageDigestFromFrames(File inputFile) throws DicomException, IOException, NoSuchAlgorithmException

Throws:
  `DicomException`
  `IOException`
  `NoSuchAlgorithmException`

### main

public static void main(String[] arg)

Read an image and compute message digest of pixel data, decompressed if compressed.

Parameters:
  `arg` - array of one string - the input image